

CREATE TABLE ARTEFACT
(
	ART_ID BIGINT NOT NULL AUTO_INCREMENT,
	ID VARCHAR(255) NULL,
	AGENCY VARCHAR(50) NULL,
	VALID_FROM DATETIME NULL,
	VALID_TO DATETIME NULL,
	IS_FINAL BOOL NULL,
    VERSION1 bigint NOT NULL DEFAULT 0,
    VERSION2 bigint NOT NULL DEFAULT 0,
    VERSION3 bigint NULL DEFAULT NULL,
	URI NVARCHAR(255) NULL,
	LAST_MODIFIED DATETIME NULL,
	IS_STUB int NOT NULL DEFAULT 0,
	SERVICE_URL nvarchar(255) NULL,
	STRUCTURE_URL nvarchar(255) NULL,
	ARTEFACT_TYPE varchar(50) NULL,
	PRIMARY KEY (ART_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
;
